## net.dontdrinkandroot.persistence.entity
Class AbstractIdEntity<T>

    java.lang.Object
      net.dontdrinkandroot.persistence.entity.AbstractEntity<T>
          net.dontdrinkandroot.persistence.entity.AbstractIdEntity<T>

All Implemented Interfaces:
  java.io.Serializable, Entity<T>

    @MappedSuperclass
    public abstract class AbstractIdEntity<T>

extends AbstractEntity<T>

See Also:
  Serialized Form

Constructor Summary
`protected` `AbstractIdEntity()`
`` `AbstractIdEntity(T id)`

Method Summary
`T` `getId()` Get the primary key of the entity.

Methods inherited from class net.dontdrinkandroot.persistence.entity.AbstractEntity
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractIdEntity

    protected AbstractIdEntity()

### AbstractIdEntity

    public AbstractIdEntity(T id)

Method Detail

### getId

    public T getId()

  Description copied from interface: `Entity`
  Get the primary key of the entity.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.